﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DigitRecognition
{
    public partial class FormBoard : Form
    {
        Graphics g;
        Pen pen;

        public FormBoard()
        {
            InitializeComponent();
            g = this.CreateGraphics();
            pen = new Pen(Color.Black, 3);
        }

        bool isDrawing = false;
        List<Point> points = new List<Point>();

        private void FormBoard_MouseDown(object sender, MouseEventArgs e)
        {
            points.Add(new Point(e.X, e.Y));
            isDrawing = true;
        }

        private void FormBoard_MouseMove(object sender, MouseEventArgs e)
        {
            if (!isDrawing) return;

            Point point = new Point(e.X, e.Y);
            points.Add(point);
            if (points.Count >= 2) 
            {
                g.DrawLine(pen, points[points.Count-2], points[points.Count-1]);
            }
        }

        private void FormBoard_MouseUp(object sender, MouseEventArgs e)
        {
            isDrawing = false;
            Point point = new Point(-1, -1);
            points.Add(point);
        }
    }
}
